\mode<presentation>

% Set up frame background
\setbeamertemplate{background}{
    \includegraphics[width=\paperwidth,height=\paperheight]{\paththeme/img/half+bar.png}
}

% Set up frame pagination
\setbeamertemplate{headline}{
	\vspace{8pt}
	\begin{flushright}
		\scriptsize{\textcolor{pagenumber}{\insertpagenumber}} \hspace{10pt} \smallskip
	\end{flushright}
}

% Title page
\setbeamertemplate{title page}{
  \begin{picture}(0,0)
    \put(305,70){\includegraphics[scale=0.1]{\paththeme/img/science-po.png}}
  \end{picture}

  \begin{picture}(0,0)
    \put(150,0){
        \begin{beamercolorbox}[wd=8cm]{title}
          \usebeamerfont{title}\bfseries\inserttitle
        \end{beamercolorbox}
    }
  \end{picture}
}
\newcommand{\maketitlepage}[1]{ % To better position the title
  \setbeamertemplate{title page}
  {
    \begin{picture}(0,0)
      \put(305,70){\includegraphics[scale=0.1]{\paththeme/img/logo.png}}
    \end{picture}

    \begin{picture}(0,0)
      \put(100,#1){
          \begin{beamercolorbox}[wd=8cm]{title}
            \usebeamerfont{title}\bfseries\inserttitle
          \end{beamercolorbox}
      }
    \end{picture}
  }
  \titlepage
}

% End page
\setbeamertemplate{endpage}{%
  \begin{picture}(0,0)
    \put(305,70){\includegraphics[scale=0.1]{\paththeme/img/logo.png}}
  \end{picture}
}

\newcommand{\thxendpage}[1]{
  \begin{picture}(0,0)
    \put(100, -10){
      \begin{beamercolorbox}[wd=8cm]{title}
        \usebeamerfont{title}\bfseries #1
      \end{beamercolorbox}
    }
  \end{picture}
}

\newcommand{\usefulllinks}[1]{
  \begin{picture}(0,0)
    \put(150, -80){
      \begin{beamercolorbox}[wd=8cm]{txtblue}
          \small{#1}
      \end{beamercolorbox}
    }
  \end{picture}
}

\newcommand{\titlebackground}
{
  \setbeamertemplate{background}
    {
      \includegraphics[width=\paperwidth,height=\paperheight]{\paththeme/img/full.png}
    }
  \setbeamertemplate{headline}{\vspace{40pt}}
}

\newcommand{\nobarbackground}
{
  \setbeamertemplate{background}
    {
      \includegraphics[width=\paperwidth,height=\paperheight]{\paththeme/img/half.png}
    }
}

\mode
<all>
